The community will be in read-only from Monday 11:59pm (PT) to Wednesday 7:30am (PT)
The community will be in read-only from Monday 11:59pm (PT) to Wednesday 7:30am (PT)
Service Desk Practitioners Forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Service Pages SP24 Problem

Highlighted
jjalex
Acclaimed Contributor

Service Pages SP24 Problem

We are trying to update Service Pages to match our current version of Service Desk (SP24). After installing the "servicepages" module we get the following when trying to login:
com.hp.itsm.api.interfaces.ITimeZones.getDSTUsable()Ljava/lang/Boolean;

Any help is appreciated.
5 REPLIES
The Pike
Honored Contributor

Re: Service Pages SP24 Problem

I have never seen that before but you could:
* Check the java version is correct for SP24
* Install SP on a different machine and if it works from there, then there might be a problem with the bits you have upgraded
Gurevich
Member

Re: Service Pages SP24 Problem

check *.jar files (web-api.jat etc) in Lib directory version.
Michaela P.
Collector

Re: Service Pages SP24 Problem

Hi, did you resolve your issue please? I'm getting the same after upgrading the SSP from SP20 to SP26. Namely, this happens after upgrading the sp.jar in the web-inf/lib directory on tomcat - if I leave the old sp.jar, this error doesn't appear.

Thanks for any help
Michaela
The Pike
Honored Contributor

Re: Service Pages SP24 Problem

Michaela,
Did you check for the right version of Java?

The Pike
Michaela P.
Collector

Re: Service Pages SP24 Problem

Hi The Pike,

I needed to upgrade Java from 1.4.2 to 1.5. I'm having this problem after the upgrade.

Michaela
//Add this to "OnDomLoad" event